textures/stonehalls2/dsiglass
{
	qer_editorimage textures/stonehalls2/dsiglass.tga
	surfaceparm trans
	surfaceparm nodamage
	cull disable
	qer_trans 0.5
	{
		map textures/stonehalls2/dsitinfx.tga
		blendfunc add
		rgbGen identity
		tcGen environment 
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
}



textures/stonehalls2/ice_slick2
{
	//qer_trans 0.80
	qer_editorimage textures/stonehalls2/ice_slick2
	
	surfaceparm slick
	surfaceparm nodamage
	surfaceparm alphashadow
	q3map_surfacelight 105
	
	{
		map textures/stonehalls2/ice_slick2.tga
		//blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}

		{
		map textures/stonehalls2/dsitinfx.tga
		blendfunc add
		rgbGen identity
		tcGen environment 
	}
	
}


textures/stonehalls2/padtrim_slick
{
	qer_editorimage textures/stonehalls2/wood5b.jpg
	surfaceparm slick
	surfaceparm woodsteps
	surfaceparm nodamage
	q3map_surfacelight 29
	implicitMap textures/stonehalls2/wood5b.jpg
}





textures/stonehalls2/woodpad
{
	qer_editorimage textures/stonehalls2/wood5b.jpg
	surfaceparm woodsteps
	surfaceparm nodamage
	q3map_surfacelight 20
	implicitMap textures/stonehalls2/wood5b.jpg
}




textures/stonehalls2/nodelaypad
{
	qer_editorimage textures/stonehalls2/wood5.jpg
	surfaceparm woodsteps
	surfaceparm monsterslicknorth
	surfaceparm nodamage
	q3map_surfacelight 20
	implicitMap textures/stonehalls2/wood5.jpg
}






textures/stonehalls2/pink
{
	cull none
	//deformVertexes wave 1 sin -0.5 0 0 1
	qer_trans 0.5
	cull none
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm trans
	surfaceparm nodamage
	
	q3map_surfacelight 1000
	q3map_backSplash 0.5 16
	{
		map textures/stonehalls2/pink.tga
		//blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen const ( 0.25 0.0 0.44 )
		tcGen environment
		tcMod scroll 0 -0
	}
}	


textures/stonehalls2/portaali
{      
	qer_editorImage textures/stonehalls2/portaali.tga
	q3map_surfacelight 60
	surfaceparm nodlight
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	noPicMip 
	deformVertexes autosprite	
	{
		clampMap textures/stonehalls2/portaali.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		tcMod stretch sin 0.7 0.25 0 0.5
		tcMod rotate 120
	}
	{
		clampMap textures/stonehalls2/portaali.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		tcMod stretch sin 0.7 0.25 0.3 0.75
		tcMod rotate -80
	}
}

textures/stonehalls2/portaali2
{      
	qer_editorImage textures/stonehalls2/portaali2.tga
	q3map_surfacelight 30
	surfaceparm nodlight
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	noPicMip 
	deformVertexes autosprite	
	{
		clampMap textures/stonehalls2/portaali2.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		tcMod stretch sin 0.7 0.25 0 0.5
		tcMod rotate 120
	}
	{
		clampMap textures/stonehalls2/portaali2.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		tcMod stretch sin 0.7 0.25 0.3 0.75
		tcMod rotate -80
	}
}


textures/stonehalls2/lightsource
{
    //qer_editorimage path/to/editorimage.tga 
    q3map_surfacelight 450             // adjust brighter/lower
    q3map_backSplash 0 23               // 0% light directed back to the surface
    q3map_lightRGB 1.0 1.0 1.2         // color of light emitted, adjust to your liking
    //surfaceparm nomarks                 // no bulletmarks since it's supposed to be emptiness
    //surfaceparm noimpact                // if you don't want projectiles to hit it (no need for nomarks if using this)
    surfaceparm nonsolid                // if you need it to be nonsolid (no need for noimpact/nomarks if using this)
    surfaceparm nolightmap
    {
        map $whiteimage
        rgbGen const ( 0.0 0.0 0.0 )    // pure black
		//alphaFunc GT0                   // invisible brush
    }
}

textures/sfx/wilsflame1
{
	qer_editorimage textures/sfx/flame1.tga
	q3map_surfacelight 1482
	cull none
	nofog
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	{
		animMap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
	}
	{
		animMap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6
	}
}